### Method

# Fwupd Remote set_firmware_base_uri

#### Declaration [src]

    void
    fwupd_remote_set_firmware_base_uri (
      FwupdRemote* self,
      const gchar* firmware_base_uri
    )

#### Description [src]

Sets the firmware base URI.

NOTE: This has to be set after MetadataURI.

Available since: | 2.0.2

#### Parameters

`firmware_base_uri` | `const gchar*`
| Base URI for firmware.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.